#!/usr/bin/env python
# coding: utf-8

"""
15.5 과제
(p.303 ~ p.312)
"""

# In[1]: p.303
import numpy as np
import pandas as pd
whisky = pd.read_csv("whiskies.txt")
print(whisky.head())


# In[2]: 
# Quiz 15.3 (다음 예제들 진행을 위해 선행함)
import numpy as np
import pandas as pd
whisky = pd.read_csv("whiskies.txt")
whisky['Region'] = pd.read_csv("regions.txt")
print(whisky.head())


# In[3]: p.304
whisky.columns


# In[4]:
print(whisky["Region"])


# In[5]: p.305
whisky.iloc[0:3]


# In[6]:
whisky.iloc[0:3,2:14]


# In[7]: p.306
flavors = whisky.iloc[:, 2:14]
print(flavors)


# In[8]:
corr_flavors = pd.DataFrame.corr(flavors)
print(corr_flavors)


# In[9]: p.308
import matplotlib.pyplot as plt
plt.pcolor(corr_flavors)
plt.colorbar()
# plt.savefig("whiskey1") # whiskey1.png 파일 생성


# In[10]:
corr_whisky = pd.DataFrame.corr(flavors.transpose())
print(corr_whisky)


# In[11]:
corr_whisky = pd.DataFrame.corr(flavors.transpose())
plt.figure(figsize=(10,10))
plt.pcolor(corr_whisky)
plt.colorbar()


# In[12]: p.311
from sklearn.cluster.bicluster import SpectralCoclustering
model = SpectralCoclustering(n_clusters=6, random_state=0)
model.fit(corr_whisky)
print(model.rows_)


# In[13]: p.312
model.row_labels_


# In[14]:
np.sum(model.rows_, axis=1)


# In[15]:
print(whisky['Region'].value_counts())

